%define pypi_name qtconsole

Name:           jupyter-qtconsole
Version:        4.2.1
Release:        %mkrel 1
Group:          Development/Python
Summary:        Jupyter Qt console (tools)

License:        BSD
URL:            http://jupyter.org/
Source0:        https://pypi.python.org/packages/source/q/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch0:         0001-use-setuptools-for-everything-so-the-python-Depends-.patch

BuildArch:      noarch
 
BuildRequires:	pythonegg(2)(setuptools)
BuildRequires:  pythonegg(3)(setuptools)
Requires:       python3-%{name} = %{version}-%{release}



%description
Qt-based console for Jupyter with support for rich media output.

This package contains the jupyter-qtconsole tool.


%package -n     python2-%{name}
Summary:        Jupyter QT console APIs (Python 2)
Requires:       python-qt5

%description -n python2-%{name}
Qt-based console for Jupyter with support for rich media output.
Provide the "jupyter qtconsole" entry point.

This package installs the library for Python 2.

%package -n     python3-%{name}
Summary:        Jupyter QT console APIs (Python 3)
Requires:       python3-qt5


%description -n python3-%{name}
Qt-based console for Jupyter with support for rich media output.
Provide the "jupyter qtconsole" entry point.

This package installs the library for Python 3.



%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files
%{_bindir}/jupyter-qtconsole


%files -n python2-%{name}
%doc examples
%license COPYING.md
%{python2_sitelib}/


%files -n python3-%{name}
%doc examples
%license COPYING.md
%{python3_sitelib}/




%changelog
* Mon Apr 18 2016 philippem <philippem> 4.2.1-1.mga6
+ Revision: 1003492
- imported package jupyter-qtconsole

